## python-periodictable 1.5.2

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest build

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/* build/* plots/*.pyc plots/*.png

html: build
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/Periodic Table.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/Periodic Table.qhc"

latex: build
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

pdf: latex
	$(MAKE) -C _build/latex all-pdf

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

build:
	cd ../.. && python setup.py build

## python-periodictable 1.5.0

=== debian/changelog ===
python-periodictable (1.5.0-3) unstable; urgency=medium

  * Update Standards-Version to 4.1.2 (no changes required).
  * Add Rules-Requires-Root: no.
  * Allow numerical fuzz in tests to prevent failures on i386.
  * Switch to debhelper 11.
    - move documentation to /usr/share/doc/python-periodictable as per
      Policy §12.3.

 -- Stuart Prescott <stuart@debian.org>  Sat, 30 Dec 2017 15:54:07 +1100

python-periodictable (1.5.0-2) unstable; urgency=medium

  [ Stuart Prescott ]
  * Add autopkgtest tests.
  * Enable build-time tests.
  * Fix package Section for module packages.
  * Make sphinx use packaged mathjax resources.

  [ Drew Parsons ]
  * periodictable/cromermann.py has a BSD-3-clause licence.

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Nov 2017 11:47:38 +0800

python-periodictable (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * Initial release (Closes: #879833).

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Oct 2017 23:26:43 +0800

=== debian/control ===
Source: python-periodictable
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Drew Parsons <dparsons@debian.org>,
 Stuart Prescott <stuart@debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 libjs-jquery,
 libjs-mathjax,
 python-all,
 python-matplotlib,
 python-setuptools,
 python-sphinx,
 python-pytest,
 python3-all,
 python3-matplotlib,
 python3-setuptools,
 python3-sphinx,
 python3-pytest,
 texinfo
Standards-Version: 4.1.2
Homepage: http://www.reflectometry.org/danse/elements.html
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-periodictable.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-periodictable.git/
Rules-Requires-Root: no

Package: python-periodictable
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python:Depends}
Suggests:
 python-matplotlib,
 python-python-periodictable-doc
Description: Extensible periodic table of the elements (Python 2)
 This package provides a periodic table of the elements with support
 for mass, density and xray/neutron scattering information.
 .
 Masses, densities and natural abundances come from the NIST Physics
 Laboratory, but do not represent a critical evaluation by NIST
 scientists.
 .
 Neutron scattering calculations use values collected by the Atomic
 Institute of the Austrian Universities. These values do corresponding
 to those from other packages, though there are some differences
 depending to the tables used. Bound coherent neutron scattering for
 gold in particular is significantly different from older value:
 7.63(6) as measured in 1974 compared to 7.90(7) as measured in 1990.
 .
 X-ray scattering calculations use a combination of empirical and
 theoretical values from the LBL Center for X-ray Optics. These values
 differ from those given in other sources such as the International
 Tables for Crystallography, Volume C, and so may give different
 results from other packages.
 .
 This package installs the library for Python 2.

Package: python3-periodictable
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends}
Suggests:
  python-python-periodictable-doc,
  python3-matplotlib
Description: Extensible periodic table of the elements (Python 3)
 This package provides a periodic table of the elements with support
 for mass, density and xray/neutron scattering information.
 .
 Masses, densities and natural abundances come from the NIST Physics
 Laboratory, but do not represent a critical evaluation by NIST
 scientists.
 .
 Neutron scattering calculations use values collected by the Atomic
 Institute of the Austrian Universities. These values do corresponding
 to those from other packages, though there are some differences
 depending to the tables used. Bound coherent neutron scattering for
 gold in particular is significantly different from older value:
 7.63(6) as measured in 1974 compared to 7.90(7) as measured in 1990.
 .
 X-ray scattering calculations use a combination of empirical and
 theoretical values from the LBL Center for X-ray Optics. These values
 differ from those given in other sources such as the International
 Tables for Crystallography, Volume C, and so may give different
 results from other packages.
 .
 This package installs the library for Python 3.

Package: python-periodictable-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Description: Extensible periodic table of the elements (common documentation)
 This package provides a periodic table of the elements with support
 for mass, density and xray/neutron scattering information.
 .
 Masses, densities and natural abundances come from the NIST Physics
 Laboratory, but do not represent a critical evaluation by NIST
 scientists.
 .
 Neutron scattering calculations use values collected by the Atomic
 Institute of the Austrian Universities. These values do corresponding
 to those from other packages, though there are some differences
 depending to the tables used. Bound coherent neutron scattering for
 gold in particular is significantly different from older value:
 7.63(6) as measured in 1974 compared to 7.90(7) as measured in 1990.
 .
 X-ray scattering calculations use a combination of empirical and
 theoretical values from the LBL Center for X-ray Optics. These values
 differ from those given in other sources such as the International
 Tables for Crystallography, Volume C, and so may give different
 results from other packages.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=periodictable

export PYBUILD_TEST_ARGS=test doc periodictable
export PYBUILD_BEFORE_TEST=cp -r {dir}/test {dir}/doc {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test {build_dir}/doc
export MPLBACKEND=Agg

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .mplconfig api .cache

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml     doc/sphinx build/html # HTML generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -btexinfo     doc/sphinx build/texinfo # Info generator
	ln -sf /usr/share/javascript/mathjax/ build/html/_static/mathjax

override_dh_installinfo:
	cd build/texinfo; \
	for p in *.png; do mv $$p $(PYBUILD_NAME)-$$p; done; \
	sed "s/@image{/@image{$(PYBUILD_NAME)-/" -i $(PYBUILD_NAME).texi; \
	makeinfo $(PYBUILD_NAME).texi
	dh_installinfo

override_dh_installdocs:
	cp doc/README.txt doc/nsf-README.txt
	dh_installdocs
	rm doc/nsf-README.txt

=== debian/tests/control ===
Tests: python-periodictable
Restrictions: allow-stderr
Depends:
 python-all,
 python-docutils,
 python-matplotlib,
 python-periodictable,
 python-pytest

Tests: python3-periodictable
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-docutils,
 python3-matplotlib,
 python3-periodictable,
 python3-pytest

## python-periodictable 1.5.2

=== debian/changelog ===
python-periodictable (1.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sun, 01 Dec 2019 17:24:05 +1100

python-periodictable (1.5.1-2) unstable; urgency=medium

  * drop python-periodictable (remove Python2). Closes: #938017
  * drop ancient python version fields in debian/control
  * mark python-periodictable-doc as Multi-Arch: foreign
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 12 Oct 2019 17:39:56 +0800

python-periodictable (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.4.0 (no changes required).
  * Update to debhelper-compat 12.

 -- Stuart Prescott <stuart@debian.org>  Wed, 25 Sep 2019 01:43:10 +1000

python-periodictable (1.5.0-8) unstable; urgency=medium

  [ Stuart Prescott ]
  * Fix typo in Suggests entry for documentation (Closes: #923744).

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Jun 2019 16:18:35 +0800

python-periodictable (1.5.0-7) unstable; urgency=medium

  * Replace sphinx directives that have been removed in matplotlib 3
    (Closes: #917749).
  * Use Python 3 for sphinx build.
  * Update Standards-Version to 4.3.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 30 Dec 2018 12:27:41 +1100

python-periodictable (1.5.0-6) unstable; urgency=medium

  * Add missing dependency on libjs-mathjax to the documentation package
    (Closes: #911070).
  * Update Standards-Version to 4.2.1 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 16 Oct 2018 11:46:06 +1100

python-periodictable (1.5.0-5) unstable; urgency=medium

  * Use pybuild.testfiles to copy around bits of the test suite.
  * Don't install rst files into useless "api" directory in module package.

 -- Stuart Prescott <stuart@debian.org>  Thu, 10 May 2018 23:54:03 +1000

python-periodictable (1.5.0-4) unstable; urgency=medium

  * Fix doctests to work with numpy 1.14.

 -- Stuart Prescott <stuart@debian.org>  Wed, 09 May 2018 00:58:39 +1000

=== debian/control ===
--- 
+++ 
@@ -6,60 +6,21 @@
  Drew Parsons <dparsons@debian.org>,
  Stuart Prescott <stuart@debian.org>
 Build-Depends:
- debhelper (>= 11),
- dh-python,
+ debhelper-compat (= 12),
+ dh-python (>= 3.20180326),
  libjs-jquery,
  libjs-mathjax,
- python-all,
- python-matplotlib,
- python-setuptools,
- python-sphinx,
- python-pytest,
  python3-all,
  python3-matplotlib,
  python3-setuptools,
  python3-sphinx,
  python3-pytest,
  texinfo
-Standards-Version: 4.1.2
+Standards-Version: 4.4.1
 Homepage: http://www.reflectometry.org/danse/elements.html
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-periodictable.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-periodictable.git/
+Vcs-Git: https://salsa.debian.org/science-team/python-periodictable.git
+Vcs-Browser: https://salsa.debian.org/science-team/python-periodictable
 Rules-Requires-Root: no
-
-Package: python-periodictable
-Architecture: all
-Section: python
-Depends:
- ${misc:Depends},
- ${python:Depends}
-Suggests:
- python-matplotlib,
- python-python-periodictable-doc
-Description: Extensible periodic table of the elements (Python 2)
- This package provides a periodic table of the elements with support
- for mass, density and xray/neutron scattering information.
- .
- Masses, densities and natural abundances come from the NIST Physics
- Laboratory, but do not represent a critical evaluation by NIST
- scientists.
- .
- Neutron scattering calculations use values collected by the Atomic
- Institute of the Austrian Universities. These values do corresponding
- to those from other packages, though there are some differences
- depending to the tables used. Bound coherent neutron scattering for
- gold in particular is significantly different from older value:
- 7.63(6) as measured in 1974 compared to 7.90(7) as measured in 1990.
- .
- X-ray scattering calculations use a combination of empirical and
- theoretical values from the LBL Center for X-ray Optics. These values
- differ from those given in other sources such as the International
- Tables for Crystallography, Volume C, and so may give different
- results from other packages.
- .
- This package installs the library for Python 2.
 
 Package: python3-periodictable
 Architecture: all
@@ -68,7 +29,7 @@
  ${misc:Depends},
  ${python3:Depends}
 Suggests:
-  python-python-periodictable-doc,
+  python-periodictable-doc,
   python3-matplotlib
 Description: Extensible periodic table of the elements (Python 3)
  This package provides a periodic table of the elements with support
@@ -96,7 +57,9 @@
 Package: python-periodictable-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends:
+ libjs-mathjax,
  ${misc:Depends},
  ${sphinxdoc:Depends}
 Description: Extensible periodic table of the elements (common documentation)

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=periodictable

export PYBUILD_TEST_ARGS=test doc periodictable
export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/api'
export MPLBACKEND=Agg

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .mplconfig api .cache

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml     doc/sphinx build/html # HTML generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -btexinfo  doc/sphinx build/texinfo # Info generator
	ln -sf /usr/share/javascript/mathjax/ build/html/_static/mathjax

override_dh_installinfo:
	cd build/texinfo; \
	for p in *.png; do mv $$p $(PYBUILD_NAME)-$$p; done; \
	sed "s/@image{/@image{$(PYBUILD_NAME)-/" -i $(PYBUILD_NAME).texi; \
	makeinfo $(PYBUILD_NAME).texi
	dh_installinfo

override_dh_installdocs:
	cp doc/README.txt doc/nsf-README.txt
	dh_installdocs
	rm doc/nsf-README.txt

## python-periodictable 1.5.3

=== debian/changelog ===
python-periodictable (1.5.3-1) unstable; urgency=medium

  * New upstream release.
   - refresh patches
   - avoid testing sphinx extensions
  * Update lintian override.
  * Move to debhelper-compat (= 13).
  * Remove obsolete image handling code for texi documentation.
  * Update Homepage.

 -- Stuart Prescott <stuart@debian.org>  Sat, 14 Nov 2020 15:29:43 +1100

python-periodictable (1.5.2-3) unstable; urgency=medium

  * png images no longer referenced in info file
    (generated by sphinx 2.4) Closes: #955076.

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Apr 2020 19:15:36 +0800

python-periodictable (1.5.2-2) unstable; urgency=medium

  * Only test with py3versions -s.
  * Update Standards-Version to 4.5.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 24 Mar 2020 01:54:04 +1100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Drew Parsons <dparsons@debian.org>,
  Stuart Prescott <stuart@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python (>= 3.20180326),
  libjs-jquery,
  libjs-mathjax,
@@ -16,8 +16,8 @@
  python3-sphinx,
  python3-pytest,
  texinfo
-Standards-Version: 4.4.1
-Homepage: http://www.reflectometry.org/danse/elements.html
+Standards-Version: 4.5.0
+Homepage: https://periodictable.readthedocs.io/en/latest/
 Vcs-Git: https://salsa.debian.org/science-team/python-periodictable.git
 Vcs-Browser: https://salsa.debian.org/science-team/python-periodictable
 Rules-Requires-Root: no

=== debian/tests/control ===
Tests: python3-periodictable
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-docutils,
 python3-matplotlib,
 python3-periodictable,
 python3-pytest

## python-periodictable 1.6.0

=== doc/sphinx/Makefile ===
--- 
+++ 
@@ -2,14 +2,16 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
+PYTHON        ?= python
+SPHINXOPTS    = -W --keep-going -n
+SPHINXBUILD   = $(PYTHON) -m sphinx
 PAPER         =
+BUILDDIR      = _build
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
+ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
 .PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest build

=== debian/changelog ===
python-periodictable (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.0 (no changes required).
  * Get lintian-brush to add in upstream metadata.

 -- Stuart Prescott <stuart@debian.org>  Mon, 18 Oct 2021 12:08:26 +1100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-sphinx,
  python3-pytest,
  texinfo
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://periodictable.readthedocs.io/en/latest/
 Vcs-Git: https://salsa.debian.org/science-team/python-periodictable.git
 Vcs-Browser: https://salsa.debian.org/science-team/python-periodictable

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 export PYBUILD_NAME=periodictable
 
-export PYBUILD_TEST_ARGS=test doc periodictable
+export PYBUILD_TEST_ARGS=test doc/sphinx/guide periodictable
 export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/api'
 export MPLBACKEND=Agg
 
@@ -24,9 +24,7 @@
 
 override_dh_installinfo:
 	cd build/texinfo; \
-	for p in *.png; do mv $$p $(PYBUILD_NAME)-$$p; done; \
-	sed "s/@image{/@image{$(PYBUILD_NAME)-/" -i $(PYBUILD_NAME).texi; \
-	makeinfo $(PYBUILD_NAME).texi
+	  makeinfo $(PYBUILD_NAME).texi
 	dh_installinfo
 
 override_dh_installdocs:

=== debian/watch ===
# periodictable watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted project
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%periodictable-$1.tar.gz%" \
   https://github.com/pkienzle/periodictable/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-periodictable 1.6.1

=== debian/changelog ===
python-periodictable (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.2 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 13 Aug 2023 15:25:24 +1000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-sphinx,
  python3-pytest,
  texinfo
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://periodictable.readthedocs.io/en/latest/
 Vcs-Git: https://salsa.debian.org/science-team/python-periodictable.git
 Vcs-Browser: https://salsa.debian.org/science-team/python-periodictable

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/pkienzle/periodictable/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-periodictable 1.7.0

=== debian/changelog ===
python-periodictable (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 05 May 2024 11:43:28 +1000

## python-periodictable 1.7.1

=== debian/changelog ===
python-periodictable (1.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Mon, 15 Jul 2024 19:00:35 +1000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-sphinx,
  python3-pytest,
  texinfo
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://periodictable.readthedocs.io/en/latest/
 Vcs-Git: https://salsa.debian.org/science-team/python-periodictable.git
 Vcs-Browser: https://salsa.debian.org/science-team/python-periodictable

## python-periodictable 2.0.2

=== doc/sphinx/Makefile ===
--- 
+++ 
@@ -7,13 +7,18 @@
 SPHINXBUILD   = $(PYTHON) -m sphinx
 PAPER         =
 BUILDDIR      = _build
+ifdef ComSpec
+    RMDIR   = rmdir /s/q
+else
+    RMDIR   = rm -rf
+endif
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest build
+.PHONY: help api clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest build
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -29,9 +34,13 @@
 	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
 
 clean:
-	-rm -rf _build/* build/* plots/*.pyc plots/*.png
+	-rm -rf _build build plots/*.pyc plots/*.png api __pycache__
 
-html: build
+api: genmods.py
+	-$(RMDIR) api
+	"$(PYTHON)" genmods.py
+
+html: api
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html."
@@ -66,7 +75,7 @@
 	@echo "To view the help file:"
 	@echo "# assistant -collectionFile _build/qthelp/Periodic Table.qhc"
 
-latex: build
+latex:
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in _build/latex."
@@ -91,6 +100,3 @@
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in _build/doctest/output.txt."
-
-build:
-	cd ../.. && python setup.py build

=== debian/changelog ===
python-periodictable (2.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Mon, 23 Dec 2024 23:29:27 +1100

python-periodictable (2.0.1-1) unstable; urgency=medium

  * Team Upload
  * Switch to pybuild-plugin-pyproject
  * Use dh-sequence-python3
  * New upstream version 2.0.1
  * Refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Sat, 07 Dec 2024 01:52:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
  Stuart Prescott <stuart@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python (>= 3.20180326),
+ dh-sequence-python3,
  libjs-jquery,
  libjs-mathjax,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-matplotlib,
  python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export MPLBACKEND=Agg
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
